## python-pairix 0.3.7

=== Makefile ===
all:
	cd src; make; cd ..
