=== debian/changelog ===
python-pairix (0.3.7-5build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:59:31 +0000

python-pairix (0.3.7-5) unstable; urgency=medium

  * Team Upload.
  * d/rules: sort with names while tar-ing so 
    as to make build reproducible (Closes: #995258)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 04 Dec 2021 23:48:55 +0530

python-pairix (0.3.7-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch: Avoid tests failing under Python 3.10. (Closes: #999381)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 19 Nov 2021 22:23:41 -0400

python-pairix (0.3.7-4) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * Apply multi-arch hints.
    + python3-pairix: Add Multi-Arch: same.
    + python-pairix-examples: Add Multi-Arch: foreign.

 -- Andreas Tille <tille@debian.org>  Fri, 01 Oct 2021 16:07:39 +0200

python-pairix (0.3.7-3) unstable; urgency=medium

  [ Chris Lamb ]
  * make the build reproducible
    Closes: #973801

 -- Andreas Tille <tille@debian.org>  Mon, 09 Nov 2020 15:26:23 +0100

python-pairix (0.3.7-2) unstable; urgency=medium

  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 03 Nov 2020 06:21:44 +0100

python-pairix (0.3.7-1) unstable; urgency=medium

  * Initial release (Closes: #962790)

 -- Andreas Tille <tille@debian.org>  Sun, 14 Jun 2020 08:37:25 +0200
