=== debian/control ===
Source: python-pairix
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all-dev,
               python3-setuptools,
               zlib1g-dev,
               python3-pytest <!nocheck>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/python-pairix
Vcs-Git: https://salsa.debian.org/med-team/python-pairix.git
Homepage: https://github.com/4dn-dcic/pairix
Rules-Requires-Root: no

Package: python3-pairix
Architecture: any
Section: python
Depends: ${shlib:Depends},
         ${python3:Depends},
         ${misc:Depends}
Multi-Arch: same
Description: 1D/2D indexing and querying with a pair of genomic coordinates
 Pairix is a tool for indexing and querying on a block-compressed text
 file containing pairs of genomic coordinates.
 .
 Pairix is a stand-alone C program that was written on top of tabix as a
 tool for the 4DN-standard pairs file format describing Hi-C data:
 pairs_format_specification.md
 .
 However, Pairix can be used as a generic tool for indexing and querying
 any bgzipped text file containing genomic coordinates, for either 2D- or
 1D- indexing and querying.
 .
 For example: given the custom text file below, you want to extract
 specific lines from the Pairs file further below. An awk command would
 read the Pairs file from beginning to end. Pairix creates an index and
 uses it to access the file from a relevant position by taking advantage
 of bgzf compression, allowing for a fast query on large files.

Package: python-pairix-examples
Architecture: all
Depends: ${misc:Depends}
Enhances: python3-pairix
Multi-Arch: foreign
Description: 1D/2D indexing and querying with a pair of genomic coordinates (examples)
 Pairix is a tool for indexing and querying on a block-compressed text
 file containing pairs of genomic coordinates.
 .
 Pairix is a stand-alone C program that was written on top of tabix as a
 tool for the 4DN-standard pairs file format describing Hi-C data:
 pairs_format_specification.md
 .
 However, Pairix can be used as a generic tool for indexing and querying
 any bgzipped text file containing genomic coordinates, for either 2D- or
 1D- indexing and querying.
 .
 For example: given the custom text file below, you want to extract
 specific lines from the Pairs file further below. An awk command would
 read the Pairs file from beginning to end. Pairix creates an index and
 uses it to access the file from a relevant position by taking advantage
 of bgzf compression, allowing for a fast query on large files.
 .
 This package contains some example data to test the package.
