=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export PYBUILD_NAME=pairix

export PYBUILD_BEFORE_TEST=cp -a $(CURDIR)/samples {build_dir}; cp -a $(CURDIR)/VERSION.txt {build_dir};

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	tar caf samples.tar.xz samples --mode=go=rX,u+rw,a-s --owner=0 --group=0 --numeric-owner --sort=name
	dh_install
	find debian/python3-$(PYBUILD_NAME)/usr/lib -name samples -type d | xargs rm -rf
	find debian/*/usr/lib -name VERSION.txt -delete
