=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/4dn-dcic/pairix/releases .*/v?@ANY_VERSION@\.tar\.gz
