## python-pairix 0.3.8

=== debian/changelog ===
python-pairix (0.3.8-1build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 14:04:07 +0000

python-pairix (0.3.8-1build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 05 Mar 2025 00:06:14 +0000

python-pairix (0.3.8-1build1) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 10:02:08 +0100

python-pairix (0.3.8-1) unstable; urgency=medium

  * New upstream version 0.3.8
  * gcc-14.patch: new: fix various incompatible pointer types.
    (Closes: #1075419)
  * d/control: declare compliance to standards version 4.7.0.
  * d/python3-pairix.lintian-overrides: refresh override.
  * d/control: add myself to uploaders.

 -- Étienne Mollier <emollier@debian.org>  Thu, 22 Aug 2024 23:02:54 +0200

python-pairix (0.3.7-7) unstable; urgency=medium

  * Team upload.
  * Packaging update
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * d/clean: Remove samples.tar.xz (Closes: #1046425)
  * d/control: Add autopkgtest-pkg-pybuild testsuite
  * d/tests: Remove, run by pybuild autopkgtest
  * d/rules: Add hardening option
  * d/python3-pairix.lintian-overrides: Fix override for missing dependency
    on libc

 -- Lance Lin <lq27267@gmail.com>  Tue, 05 Dec 2023 21:45:09 +0700

python-pairix (0.3.7-6) unstable; urgency=medium

  * Fix watch file
  * lintian-overrides for missing-dependency-on-libc
  * Standards-Version: 4.6.1 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 30 Nov 2022 21:06:43 +0100
