=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: python-pairix
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all-dev,
                python3-setuptools,
                zlib1g-dev,
                python3-pytest <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-pairix
 Vcs-Git: https://salsa.debian.org/med-team/python-pairix.git
 Homepage: https://github.com/4dn-dcic/pairix
