=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,14 @@
 #!/usr/bin/make -f
 
 # DH_VERBOSE := 1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 export PYBUILD_NAME=pairix
 
 export PYBUILD_BEFORE_TEST=cp -a $(CURDIR)/samples {build_dir}; cp -a $(CURDIR)/VERSION.txt {build_dir};
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_install:
 	tar caf samples.tar.xz samples --mode=go=rX,u+rw,a-s --owner=0 --group=0 --numeric-owner --sort=name
